<layout-go-back></layout-go-back>
<layout-card-container>
  <div class="email">
    <h1 class="email__title">
      {{'AUTH.FORGOT_PASSWORD.EMAIL.TITLE' | translate }}
    </h1>
    <p
      class="email__description"
      [innerHTML]="'AUTH.FORGOT_PASSWORD.EMAIL.DESCRIPTION' | translate "
    ></p>
    <form class="email__form" [formGroup]="form" (ngSubmit)="onSubmit()">
      <mo-input
        formControlName="email"
        [placeholder]="'AUTH.FORGOT_PASSWORD.EMAIL.PLACEHOLDER_EMAIL' | translate"
        [type]="INPUT_TYPE.EMAIL"
      ></mo-input>
      <p
        class="note"
        [innerHTML]="'AUTH.FORGOT_PASSWORD.EMAIL.NOTE' | translate "
      ></p>
      <mo-button
        [text]="'AUTH.FORGOT_PASSWORD.EMAIL.BTN_SEND_CODE' | translate"
        [size]="SIZES.MD"
        [designClass]="BUTTON_DESIGN_CLASS.INDIGO"
        [type]="BUTTON_TYPE.SUBMIT"
        [displayBlock]="true"
        [isLoading]="isLoading$ | async"
        [isDisabled]="(isLoading$ | async) || form.invalid"
      >
      </mo-button>
    </form>
  </div>
</layout-card-container>
